summaryrefslogtreecommitdiffstats
path: root/development/zig
diff options
context:
space:
mode:
author Damian Perticone2022-04-02 05:28:59 +0200
committer Willy Sudiarto Raharjo2022-04-02 13:19:09 +0200
commit262072b5a9ec649e302ace513a1a30f2394c1a6f (patch)
tree9bec3f69c6cdb18274282d9ea0808de73f57b109 /development/zig
parentdb28b07781f3e3d9e6d51765c27029f553e00177 (diff)
downloadslackbuilds-262072b5a9ec649e302ace513a1a30f2394c1a6f.tar.gz
development/zig: Added (toolchain).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development/zig')
-rw-r--r--development/zig/README2
-rw-r--r--development/zig/slack-desc19
-rw-r--r--development/zig/zig.SlackBuild105
-rw-r--r--development/zig/zig.info10
4 files changed, 136 insertions, 0 deletions
diff --git a/development/zig/README b/development/zig/README
new file mode 100644
index 0000000000..96b2702697
--- /dev/null
+++ b/development/zig/README
@@ -0,0 +1,2 @@
+Zig is a general-purpose programming language and toolchain
+for maintaining robust, optimal, and reusable software
diff --git a/development/zig/slack-desc b/development/zig/slack-desc
new file mode 100644
index 0000000000..8022f99b0e
--- /dev/null
+++ b/development/zig/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zig: zig (toolchain)
+zig:
+zig: Zig is a general-purpose programming language and toolchain
+zig: for maintaining robust, optimal, and reusable software.
+zig:
+zig:
+zig:
+zig:
+zig:
+zig:
+zig:
diff --git a/development/zig/zig.SlackBuild b/development/zig/zig.SlackBuild
new file mode 100644
index 0000000000..fc1956441c
--- /dev/null
+++ b/development/zig/zig.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/bash
+
+# Slackware build script for zig
+
+# Copyright 2022 Damian Perticone Berisso, Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=zig
+VERSION=${VERSION:-0.9.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+ SRCNAM=zig-linux-i386
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+ SRCNAM=zig-linux-i386
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+ SRCNAM=zig-linux-x86_64
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+ SRCNAM=zig-linux-x86_64
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.xz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG
+
+install -Dm755 zig -t $PKG/usr/bin
+install -d $PKG/usr/lib${LIBDIRSUFFIX}/zig
+cp -r lib/* $PKG/usr/lib${LIBDIRSUFFIX}/zig
+
+find $PKG/usr/lib${LIBDIRSUFFIX}/zig -type d -exec chmod 755 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE}
diff --git a/development/zig/zig.info b/development/zig/zig.info
new file mode 100644
index 0000000000..861e2db8d3
--- /dev/null
+++ b/development/zig/zig.info
@@ -0,0 +1,10 @@
+PRGNAM="zig"
+VERSION="0.9.1"
+HOMEPAGE="https://ziglang.org/"
+DOWNLOAD="https://ziglang.org/download/0.9.1/zig-linux-i386-0.9.1.tar.xz"
+MD5SUM="20d6450b41ac07761717671ffa4c7922"
+DOWNLOAD_x86_64="https://ziglang.org/download/0.9.1/zig-linux-x86_64-0.9.1.tar.xz"
+MD5SUM_x86_64="01daf426d9e1c86aad6e4b26351e1ae8"
+REQUIRES=""
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"